#ifndef __EPROM_H__
#define __EPROM_H__

#include <avr/io.h>
#include <inttypes.h>
#include <util/delay.h>
#include "misc.h"

// Konstanten, mit denen der Typ des EPROMs angegeben wird.
#define EPROM_NOEPROM 0
#define EPROM_NEPROM 1
#define EPROM_EEPROM 2

// Konstante, die die Groesse des EPROMS angibt.
#define EPROM_SIZE 2048

// Konstanten, mit denen angegeben wird, ob das EPROM leer
// oder beschrieben ist
#define EPROM_NEMPTY 0
#define EPROM_EMPTY 1

uint8_t eprom_get_type(void);

uint8_t eprom_read(uint16_t address);

void eprom_write_start(void);

void eprom_write_stop(void);

void eprom_write(uint16_t address, uint8_t data);

uint8_t eprom_is_empty(void);

void eprom_clear_eeprom(void);

#endif
