#ifndef __LCD_H__
#define __LCD_H__

#include <avr/io.h>
#include <inttypes.h>
#include <util/delay.h>
#include "misc.h"

#define LCD_CTL_TOP 0
#define LCD_CTL_BOTTOM 1
#define LCD_IR 0
#define LCD_DR 1
#define LCD_BUSY 0x80
#define LCD_LINE1 0
#define LCD_LINE2 27
#define LCD_LINE3 54
#define LCD_LINE4 81

#define RS PORTC2
#define E1 PORTC4
#define E2 PORTC5

void lcd_init(void);

void lcd_write_char(uint8_t pos, uint8_t ch);

void lcd_write_string(uint8_t pos, char str[]);

void lcd_clear(void);

void lcd_set_position(uint8_t pos);

void lcd_display_cursor(uint8_t cursor);

#endif
