#ifndef __MENU_H__
#define __MENU_H__

#include <inttypes.h>
#include "lcd.h"
#include "twi.h"
#include "eprom.h"
#include "editor.h"
#include "pc.h"

// Konstanten, die fuer die verschiedenen Menues stehen.
#define MENU_WAIT 0
#define MENU_MAIN 1
#define MENU_INFO_E_EMPTY 2
#define MENU_INFO_E_N_EMPTY 3
#define MENU_INFO_EE_EMPTY 4
#define MENU_INFO_EE_N_EMPTY 5
#define MENU_INFO_CLEARING_EE 6
#define MENU_PC 7
#define MENU_EDITOR 8
#define MENU_BURN 9
#define MENU_BURNING 10
#define MENU_BURNED 11

// Hier werden die vom Tastencontroller uebergebenen Codes
// menschenlesbaren Konstanten zugewiesen. 
#define KEY_0 0x00
#define KEY_1 0x01
#define KEY_2 0x02
#define KEY_3 0x03
#define KEY_4 0x04
#define KEY_5 0x05
#define KEY_6 0x06
#define KEY_7 0x07
#define KEY_8 0x08
#define KEY_9 0x09
#define KEY_A 0x0a
#define KEY_B 0x0b
#define KEY_C 0x0c
#define KEY_D 0x0d
#define KEY_E 0x0e
#define KEY_F 0x0f
#define KEY_LEFT 0x10
#define KEY_RIGHT 0x11
#define KEY_DOWN 0x12
#define KEY_UP 0x13
#define KEY_SK1 0x14
#define KEY_SK2 0x15
#define KEY_SK3 0x16
#define KEY_SK4 0x17
#define KEY_OK 0x18
#define KEY_PDOWN 0x19
#define KEY_PUP 0x1a
#define KEY_NONE 0xff

uint8_t menu_main(void);

#endif
