#ifndef __TASTENCONTROLLER_H__
#define __TASTENCONTROLLER_H__

#include <avr/io.h>
#include <inttypes.h>
#include <util/delay.h>
#include "usi.h"

/*
    Konstanten, die sagen, an welchem Pin von Port D eine
    Tastengruppe liegt.
*/
#define WIRE_GROUP1 2
#define WIRE_GROUP2 3
#define WIRE_GROUP3 4
#define WIRE_GROUP4 5

/*
    Konstanten, die sagen, an welchem Pin von Port A oder B ein
    Tastenkabel liegt.
*/
// Port A
#define WIRE_PURPLE 0
#define WIRE_ORANGE 1
// Port B
#define WIRE_GREEN 0
#define WIRE_RED 1
#define WIRE_BLUE 2
#define WIRE_BROWN 3
#define WIRE_YELLOW 4
#define WIRE_WHITE 6

/*
    Konstanten, die fuer die Tasten stehen, muessen mit denen im
    Hauptcontroller uebereinstimmen.
*/
#define KEY_0 0x00
#define KEY_1 0x01
#define KEY_2 0x02
#define KEY_3 0x03
#define KEY_4 0x04
#define KEY_5 0x05
#define KEY_6 0x06
#define KEY_7 0x07
#define KEY_8 0x08
#define KEY_9 0x09
#define KEY_A 0x0a
#define KEY_B 0x0b
#define KEY_C 0x0c
#define KEY_D 0x0d
#define KEY_E 0x0e
#define KEY_F 0x0f
#define KEY_LEFT 0x10
#define KEY_RIGHT 0x11
#define KEY_DOWN 0x12
#define KEY_UP 0x13
#define KEY_SK1 0x14
#define KEY_SK2 0x15
#define KEY_SK3 0x16
#define KEY_SK4 0x17
#define KEY_OK 0x18
#define KEY_PDOWN 0x19
#define KEY_PUP 0x1a
#define KEY_NONE 0xff

#endif
